class IsFullException extends Exception {
}

class IsEmptyException extends Exception {
}

class Stack { // mit Exceptions
	// Datenstruktur
	int[] store; // zum Speichern von Daten

	int current; // aktueller Index

	// Methoden
	Stack(int size) { // Konstruktor
		this.store = new int[size];
		this.current = -1;
	}

	void push(int value) throws IsFullException {
		if (this.current == (this.store.length - 1))
			throw new IsFullException();
		this.store[++this.current] = value;
	}

	int pop() throws IsEmptyException {
		if (this.current == -1)
			throw new IsEmptyException();
		return this.store[this.current--];
	}

	// Testprogramm
	public static void main(String[] args) {
		Stack stack = new Stack(IO.readInt("Stackgroesse: "));
		// Stack fuellen
		try {
			while (true)
				stack.push(IO.readInt("Zahl: "));
		} catch (IsFullException exc) {
		}
		// Stack leeren
		try {
			while (true)
				IO.println(stack.pop());
		} catch (IsEmptyException exc) {
		}
	}
}
